util.ui

## Class HelpDialog

- java.lang.Object
- - util.ui.HelpDialog

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.util.EventListener, javax.swing.event.HyperlinkListener

      public class HelpDialog
      extends java.lang.Object
      implements java.awt.event.ActionListener, javax.swing.event.HyperlinkListener

  A help dialog which is able to show HTML pages that are located in a jar file.
  Author:
    Til Schneider, www.murfman.de

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HelpDialog.HistoryStackElement`
    `protected class` | `HelpDialog.ScrollBarUpdater`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Dimension` | `MAX_HELP_DIALOG_SIZE` The maximum size of the help dialog.
    `static java.awt.Dimension` | `MIN_HELP_DIALOG_SIZE` The minimum size of the help dialog.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent evt)`
    `protected void` | `addThisSiteToHistory()` helper method for `hyperlinkUpdate`.
    `protected static java.lang.String` | `extractPath(java.lang.String dateiname)` Extrahiert aus einem gegebenen Dateinamen den Pfad.
    `void` | `hyperlinkUpdate(javax.swing.event.HyperlinkEvent evt)`
    `protected void` | `openSite(java.lang.String filename, java.lang.Class clazz)` return content of a HTML page as string.
    `protected void` | `popFromHistory()` helper method for `actionPerformed(ActionEvent)`.
    `protected void` | `setEditorText(java.lang.String text, double updateScrollBarTo)` Sets the text currently show.
    `void` | `show()`
    `static void` | `showHelpPage(java.awt.Component parent, java.lang.String filename, java.lang.Class clazz)` Shows the specified site in the help dialog.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MIN_HELP_DIALOG_SIZE

          public static final java.awt.Dimension MIN_HELP_DIALOG_SIZE

      The minimum size of the help dialog.

    - #### MAX_HELP_DIALOG_SIZE

          public static final java.awt.Dimension MAX_HELP_DIALOG_SIZE

      The maximum size of the help dialog.

  - ### Method Detail

    - #### showHelpPage

          public static void showHelpPage(java.awt.Component parent,
                          java.lang.String filename,
                          java.lang.Class clazz)

      Shows the specified site in the help dialog. If there is currently no help dialog shown, one is created.
      Parameters:
        `parent` - If there is currently no help dialog shown, this parent is used for creating a new one.
        `filename` - The name of the HTML file to show.
        `clazz` - A class in the jar where the HTML file is in.

    - #### show

          public void show()

    - #### setEditorText

          protected void setEditorText(java.lang.String text,
                           double updateScrollBarTo)

      Sets the text currently show.
      Parameters:
        `text` - The HTML text.
        `updateScrollBarTo` - The relative position to scroll to. (Between 0 and 1)

    - #### addThisSiteToHistory

          protected void addThisSiteToHistory()

      helper method for `hyperlinkUpdate`.

      adds the current page to the mHistoryStack.

    - #### popFromHistory

          protected void popFromHistory()

      helper method for `actionPerformed(ActionEvent)`.

      return most current page of mHistoryStack.

    - #### openSite

          protected void openSite(java.lang.String filename,
                      java.lang.Class clazz)

      return content of a HTML page as string.

      Die Seite kann auch in der Jar-Datei sein, in dem diese Klasse ist.

      Parameters:
        `clazz` - A class in the jar where the HTML site is located.
        `filename` - Der Dateiname der HTML-Seite.

    - #### extractPath

          protected static java.lang.String extractPath(java.lang.String dateiname)

      Extrahiert aus einem gegebenen Dateinamen den Pfad. Ist kein Pfad vorhanden, so wird null zurückgegeben.
      Parameters:
        `dateiname` - Der Dateiname.

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent evt)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### hyperlinkUpdate

          public void hyperlinkUpdate(javax.swing.event.HyperlinkEvent evt)

      Specified by:
        `hyperlinkUpdate` in interface `javax.swing.event.HyperlinkListener`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)